package com.yidian.shenghuoquan.border.ui

import androidx.activity.viewModels
import com.google.gson.Gson
import com.yidian.bcommon.constant.XRouterPathConstants.Companion.VONCHER_LIST
import com.yidian.bcommon.extensions.initTitleBar
import com.yidian.bcommon.mvvm.BaseMvvmActivity
import com.yidian.news.ui.SystemBarUtils
import com.yidian.shenghuoquan.border.R
import com.yidian.shenghuoquan.border.app.activity.HardCode
import com.yidian.shenghuoquan.border.app.adapter.VoncherAdapter
import com.yidian.shenghuoquan.border.app.bean.CounponDto
import com.yidian.shenghuoquan.border.app.utils.SpaceItemDecoration
import com.yidian.shenghuoquan.border.app.viewmodel.VoncherViewModel
import com.yidian.shenghuoquan.border.databinding.BorderActivityVoncherBinding
import com.yidian.xpage.XPageViewProtocol

class VoncherActivity : BaseMvvmActivity<BorderActivityVoncherBinding, VoncherViewModel>(), XPageViewProtocol{
  override val layoutId: Int =  R.layout.border_activity_voncher

  override val vm: VoncherViewModel by viewModels()

  private lateinit var listAdapter: VoncherAdapter

  override fun initView() {
    SystemBarUtils.setStatusBarTextColorWhite(this)
    initTitleBar(binding.voncherListToolbar, binding.tvTitle, "我的代金券")
    binding.voncherListToolbar.setNavigationIcon(R.drawable.icon_arrow_white)
    initRecycleView()
  }

  override fun getXPageName(): String {
    return VONCHER_LIST
  }

  private fun initRecycleView() {
    val spacingInPixels = resources.getDimensionPixelSize(R.dimen.dp10)
    binding.rcvVoncherList.addItemDecoration(SpaceItemDecoration(spacingInPixels))
    var gson = Gson()
    var voncherObj = gson.fromJson<CounponDto>(HardCode.VoncherList, CounponDto::class.java)
    listAdapter = VoncherAdapter(this, voncherObj.coupon_list)
    binding.rcvVoncherList.adapter = listAdapter
  }
}
